%define upstreamname xfmedia

Name: xfce4-%upstreamname
Summary: Lightweight media player using xine for Xfce4
Version: 0.9.2
Release: alt2.1
License: GPL
Url: http://spuriousinterrupt.org/projects/xfmedia
Source: http://spuriousinterrupt.org/files/xfmedia/%upstreamname-%version.tar.bz2
Source1: %upstreamname.watch

Group: Graphical desktop/XFce
Packager: Eugene Ostapets <eostapets@altlinux.ru>

BuildPreReq: xfce4-dev-tools intltool

# Automatically added by buildreq on Sat Jan 05 2008
BuildRequires: docbook-style-xsl gcc-c++ imake libX11-devel libXext-devel libXi-devel libSM-devel libXScrnSaver-devel libXtst-devel libdbus-glib-devel libexo-devel libstartup-notification-devel libtag-devel libxfcegui4-devel libxine-devel subversion xorg-cf-files xsltproc

BuildRequires: ImageMagick

%description
Xfmedia is a lightweight media player GUI using GTK+, based on the xine engine,
using the core Xfce 4 libraries.  It is written by Brian Tarricone and
released under the terms of the GNU General Public License, version 2.

%package devel
Summary: development files for Xfmdedia
Group: Development/C
%description devel
%summary

%prep
%setup -n %upstreamname-%version

%build
intltoolize --force
libtoolize --force --copy
aclocal -I /usr/share/xfce4/dev-tools/m4macros/
automake -a -c -f
autoconf
%configure  \
	--enable-dbus \
	--enable-startup-notification \
	--enable-exo
%make_build

%install
%make_install install DESTDIR=%buildroot

for size in 16x16 32x32 ; do
    mkdir -p %buildroot%_iconsdir/hicolor/$size/apps
    convert %buildroot%_liconsdir/%upstreamname.png -size $size %buildroot%_iconsdir/hicolor/$size/apps/%upstreamname.png
done

%find_lang %upstreamname

%post
/usr/bin/gtk-update-icon-cache
%update_menus
%update_mimedb
%postun
/usr/bin/gtk-update-icon-cache
%clean_menus
%clean_mimedb

%files -f %upstreamname.lang
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%_bindir/*
%_iconsdir/*/*/*/*
%dir %_sysconfdir/xdg/%upstreamname
%_sysconfdir/xdg/%upstreamname/*.rc
%dir %_datadir/%upstreamname
%_datadir/%upstreamname/*
%_desktopdir/*.desktop
%_libdir/%upstreamname/*

%files devel
%_includedir/*
%dir %_libdir/%upstreamname
%exclude %_libdir/%upstreamname/plugins/*.*a
%_pkgconfigdir/*.pc

%changelog
* Tue Dec 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt2.1
- NMU:
  * updated build dependencies

* Wed May 14 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.9.2-alt2
- fix build with new sisyphus_check
- fix error post scripts and icons, tnx repocop

* Sat Jan 05 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.9.2-alt1
- first build for Sisyphus

